<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Mon Jul 17 12:51:57 CEST 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Overview (APP)</title>
<meta name="date" content="2017-07-17">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Overview (APP)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li class="navBarCell1Rev">Overview</li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?overview-summary.html" target="_top">Frames</a></li>
<li><a href="overview-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer">
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Packages table, listing packages, and an explanation">
<caption><span>Packages</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="towerwarspp/package-summary.html">towerwarspp</a></td>
<td class="colLast">
<div class="block">the towerwarsapp which is the root package of the game.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="towerwarspp/board/package-summary.html">towerwarspp.board</a></td>
<td class="colLast">
<div class="block">The board Package which implements the Logic of the game.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="towerwarspp/io/package-summary.html">towerwarspp.io</a></td>
<td class="colLast">
<div class="block">The Input/Output package which displays the Game and computes the Input of the Player.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="towerwarspp/main/package-summary.html">towerwarspp.main</a></td>
<td class="colLast">
<div class="block">The main package controls the whole game and implements the inputParameter dialog.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="towerwarspp/main/game/package-summary.html">towerwarspp.main.game</a></td>
<td class="colLast">
<div class="block">The Game package which controls the main game and implements the save and load option.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="towerwarspp/main/tournament/package-summary.html">towerwarspp.main.tournament</a></td>
<td class="colLast">
<div class="block">The tournament package which implements the tournament modus.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="towerwarspp/network/package-summary.html">towerwarspp.network</a></td>
<td class="colLast">
<div class="block">The network package which implements the Interface for a network game.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="towerwarspp/player/package-summary.html">towerwarspp.player</a></td>
<td class="colLast">
<div class="block">The player package which implements all possible player Types.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="towerwarspp/player/mcts/package-summary.html">towerwarspp.player.mcts</a></td>
<td class="colLast">
<div class="block">The mcts package which implements the monte carlo tree search algorithm.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="towerwarspp/preset/package-summary.html">towerwarspp.preset</a></td>
<td class="colLast">
<div class="block">The preset package which implements all given presets.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="towerwarspp/util/package-summary.html">towerwarspp.util</a></td>
<td class="colLast">
<div class="block">The util package which implements debugger and randomset.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="towerwarspp/util/debug/package-summary.html">towerwarspp.util.debug</a></td>
<td class="colLast">
<div class="block">The debug package which implements the Debugger</div>
</td>
</tr>
</tbody>
</table>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li class="navBarCell1Rev">Overview</li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?overview-summary.html" target="_top">Frames</a></li>
<li><a href="overview-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
